# Generated by Django 4.1.7 on 2023-03-10 13:17

from django.db import migrations, models


class Migration(migrations.Migration):

    initial = True

    dependencies = [
    ]

    operations = [
        migrations.CreateModel(
            name='Order',
            fields=[
                ('id', models.BigAutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('queue', models.PositiveIntegerField(unique=True)),
            ],
        ),
        migrations.CreateModel(
            name='Types',
            fields=[
                ('id', models.BigAutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('type_name', models.CharField(max_length=50, unique=True)),
                ('order', models.ManyToManyField(blank=True, to='schemas.order')),
            ],
        ),
        migrations.CreateModel(
            name='Schemas',
            fields=[
                ('id', models.BigAutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('title', models.CharField(max_length=50)),
                ('separator', models.CharField(max_length=5)),
                ('created_at', models.DateField(auto_now_add=True)),
                ('column_name', models.CharField(max_length=50)),
                ('order', models.ManyToManyField(blank=True, to='schemas.order')),
                ('types', models.ManyToManyField(blank=True, to='schemas.types')),
            ],
        ),
    ]
